Option Strict Off
Option Explicit On
Module FastcamDriverConstantValues
	
    Public Const PCC_ERROR_NOERROR As Integer = 1            
    Public Const PCC_ERROR_UNINITIALIZE As Integer = -1      
    Public Const PCC_ERROR_FUNCTION_FAILED As Integer = -2   
    Public Const PCC_ERROR_FUNCTION_TIMEOUT As Integer = -3  
    Public Const PCC_ERROR_FUNCTION_DISABLE As Integer = -4  
    Public Const PCC_ERROR_NO_DEVICE As Integer = -5         
    Public Const PCC_ERROR_NO_DATA As Integer = -6           
    Public Const PCC_ERROR_UNKNOWN_FRAME As Integer = -7     
    Public Const PCC_ERROR_CAMERAMODE As Integer = -8        
    Public Const PCC_ERROR_NO_ENDLESS As Integer = -9        
    Public Const PCC_ERROR_FILEREAD_FAILED As Integer = -10  
    Public Const PCC_ERROR_FILEWRITE_FAILED As Integer = -11 
    Public Const PCC_ERROR_IMAGE_SIZEOVER As Integer = -12   
    Public Const PCC_ERROR_FRAME_AREAOVER As Integer = -13   
    Public Const PCC_ERROR_PLAYMODE As Integer = -14         
    Public Const PCC_ERROR_NO_CAMERALIB As Integer = -15     
    Public Const PCC_ERROR_NO_MCDL As Integer = -16          
    Public Const PCC_ERROR_NO_IRIG As Integer = -17          
    Public Const PCC_ERROR_NOT_SUPPORTED As Integer = -18    

    Public Const PCAM_TYPE_FASTCAM_NET_COLOR As Integer = &H100464E
    Public Const PCAM_TYPE_ULTIMA_1024 As Integer = &HBS
    Public Const PCAM_TYPE_ULTIMA_1024_ZERO As Integer = &H10BS
    Public Const PCAM_TYPE_ULTIMA_1024_COLOR As Integer = &H100000B
    Public Const PCAM_TYPE_ULTIMA_1024_COLOR_ZERO As Integer = &H100010B
    Public Const PCAM_TYPE_ULTIMA_SE As Integer = &HAS
    Public Const PCAM_TYPE_ULTIMA_SE_COLOR As Integer = &H100000A
    Public Const PCAM_TYPE_ULTIMA_SE_NCVC As Integer = &H65S
    Public Const PCAM_TYPE_FASTCAM_PCI As Integer = &HFF000A
    Public Const PCAM_TYPE_FASTCAM_PCI_COLOR As Integer = &H1FF000A
    Public Const PCAM_TYPE_FASTCAM_1280PCI As Integer = &HFF000B
    Public Const PCAM_TYPE_FASTCAM_1280PCI_COLOR As Integer = &H1FF000B
    Public Const PCAM_TYPE_FASTCAM_CL As Integer = &HFF000C
    Public Const PCAM_TYPE_FASTCAM_CL_COLOR As Integer = &H1FF000C
    Public Const PCAM_TYPE_P6 As Integer = &H5036S
    Public Const PCAM_TYPE_P6_COLOR As Integer = &H1005036
    Public Const PCAM_TYPE_FASTCAM_MAX As Integer = &H15S
    Public Const PCAM_TYPE_FASTCAM_MAX_COLOR As Integer = &H14S
    Public Const PCAM_TYPE_FASTCAM_NEO As Integer = &H17S
    Public Const PCAM_TYPE_FASTCAM_NEO_COLOR As Integer = &H16S
    Public Const PCAM_TYPE_FASTCAM_PCI2 As Integer = &H10S
    Public Const PCAM_TYPE_FASTCAM_PCI2_COLOR As Integer = &H11S
	Public Const PCAM_TYPE_FASTCAM_512PCI As Integer = &H13S
	Public Const PCAM_TYPE_FASTCAM_512PCI_COLOR As Integer = &H12S
	Public Const PCAM_TYPE_FASTCAM_MAX_IIM As Integer = &H1ES
	Public Const PCAM_TYPE_FASTCAM_MAX_II As Integer = &H1FS
	Public Const PCAM_TYPE_FASTCAM_APX_RS As Integer = &H21S
	Public Const PCAM_TYPE_FASTCAM_APX_RS_COLOR As Integer = &H22S
	Public Const PCAM_TYPE_FASTCAM_1024PCI As Integer = &H29S
	Public Const PCAM_TYPE_FASTCAM_1024PCI_COLOR As Integer = &H2AS
	Public Const PCAM_TYPE_FASTCAM_SUS_PCI As Integer = &H66S

    Public Const PLAYMODE_STOP As Integer = 0
    Public Const PLAYMODE_PAUSE As Integer = 1
    Public Const PLAYMODE_PLAY As Integer = 2
    Public Const PLAYMODE_PLAYBACK As Integer = 3
    Public Const PLAYMODE_FASTPLAY As Integer = 4
    Public Const PLAYMODE_FASTPLAYBACK As Integer = 5

    Public Const FORMAT_NONE As Integer = 0
    Public Const FORMAT_BMP As Integer = 1
    Public Const FORMAT_TIFF As Integer = 2
    Public Const FORMAT_JPEG As Integer = 3
    Public Const FORMAT_RAW As Integer = 4
    Public Const FORMAT_PNM As Integer = 5
    Public Const FORMAT_PGM As Integer = 6
    Public Const FORMAT_PPM As Integer = 7
    Public Const FORMAT_PBM As Integer = 8
    Public Const FORMAT_AVI As Integer = 9
    Public Const FORMAT_CIH As Integer = 10
    Public Const FORMAT_RAWW As Integer = 11
    Public Const FORMAT_PNG As Integer = 12
	Public Const FORMAT_FTIF As Integer = 13

    Public Const PNG_COMPRESS_NORMAL As Integer = 0
    Public Const PNG_COMPRESS_SPEEDL As Integer = 1
    Public Const PNG_COMPRESS_SIZE As Integer = 2

    Public Const RAWW_EFFECTIVE_BITS_HIGHSIDE As Integer = 0
    Public Const RAWW_EFFECTIVE_BITS_LOWSIDE As Integer = 1

    Public Const DISPLAY_MODE_FRAME As Integer = 0
    Public Const DISPLAY_MODE_SEC As Integer = 1
    Public Const DISPLAY_MODE_MILLISEC As Integer = 2
    Public Const DISPLAY_MODE_MICROSEC As Integer = 3

    Public Const FRAME_PARAMS_CURRENT As Integer = 0
    Public Const FRAME_PARAMS_START As Integer = 1
    Public Const FRAME_PARAMS_END As Integer = 2
    Public Const FRAME_PARAMS_TOTAL As Integer = 3
    Public Const FRAME_PARAMS_AREASTART As Integer = 4
    Public Const FRAME_PARAMS_AREAEND As Integer = 5
    Public Const FRAME_PARAMS_AREATOTAL As Integer = 6
    Public Const FRAME_PARAMS_TRIGGER As Integer = 7
    Public Const FRAME_PARAMS_KEY As Integer = 8

    Public Const CAMERA_MODE_PLAY As Integer = &H0S
    Public Const CAMERA_MODE_LIVE As Integer = &H1S
    Public Const CAMERA_MODE_RECREADY As Integer = &H2S
    Public Const CAMERA_MODE_REC As Integer = &H4S
    Public Const CAMERA_MODE_ENDLESS As Integer = &H8S
    Public Const CAMERA_MODE_RECORDED As Integer = &H10S

    Public Const TRIGGER_START As Long = 0
    Public Const TRIGGER_CENTER As Long = &H1000000
    Public Const TRIGGER_END As Long = &H2000000
    Public Const TRIGGER_RANDOM As Long = &H3000000
    Public Const TRIGGER_RANDOM1 As Long = &H3000001
    Public Const TRIGGER_RANDOM10 As Long = &H3000010
    Public Const TRIGGER_RANDOM50 As Long = &H3000050
    Public Const TRIGGER_MANUAL As Long = &H4000000
    Public Const TRIGGER_SHADING As Long = &H4000000
    Public Const TRIGGER_RANDOMRESET As Long = &H5000000
    Public Const TRIGGER_RANDOMCENTER As Long = &H6000000
    Public Const TRIGGER_RANDOMMANUAL As Single = &H7000000
    Public Const TRIGGER_TWOSTAGE As Single = &H8000000
    Public Const TRIGGER_TWOSTAGE_NONE As Long = &H8000000
    Public Const TRIGGER_TWOSTAGE_HALF As Long = &H8000001
    Public Const TRIGGER_TWOSTAGE_QUARTER As Long = &H8000002 
    Public Const TRIGGER_TWOSTAGE_ONEEIGHTH As Long = &H8000003 

    Public Const GAMMA_1_0 As Integer = 0
    Public Const GAMMA_0_9 As Integer = 1
    Public Const GAMMA_0_8 As Integer = 2
    Public Const GAMMA_0_7 As Integer = 3
    Public Const GAMMA_0_6 As Integer = 4
    Public Const GAMMA_0_5 As Integer = 5
    Public Const GAMMA_0_4 As Integer = 6

    Public Const GAIN_0DB As Integer = 0
    Public Const GAIN_3DB As Integer = 1
    Public Const GAIN_6DB As Integer = 2
    Public Const GAIN_12DB As Integer = 3
    Public Const GAIN_18DB As Integer = 4
    Public Const GAIN_24DB As Integer = 5
    Public Const GAIN_30DB As Integer = 6
    Public Const GAIN_36DB As Integer = 7
    Public Const GAIN_2A As Integer = 8
    Public Const GAIN_2S As Integer = 9
    Public Const GAIN_4S As Integer = 10
    Public Const GAIN_8S As Integer = 11
    Public Const GAIN_2D As Integer = 12
    Public Const GAIN_4D As Integer = 13
    Public Const GAIN_8D As Integer = 14

    Public Const EDGEMODE_NONE As Integer = 0    
    Public Const EDGEMODE_1 As Integer = 1       
    Public Const EDGEMODE_2 As Integer = 2       
    Public Const EDGEMODE_3 As Integer = 3       

    Public Const COLORTEMPMODE_DEF1 As Integer = 0
    Public Const COLORTEMPMODE_DEF2 As Integer = 1
    Public Const COLORTEMPMODE_USER1 As Integer = 2
    Public Const COLORTEMPMODE_USER2 As Integer = 3
    Public Const COLORTEMPMODE_USER3 As Integer = 4

    Public Const EXTSYNC_NONE As Integer = 0
    Public Const EXTSYNC_POSI As Integer = 1
    Public Const EXTSYNC_NEGA As Integer = 2
    Public Const EXTSYNC_OTHERS_POSI As Integer = 3
    Public Const EXTSYNC_OTHERS_NEGA As Integer = 4
    Public Const EXTIN_EVENT_POSI As Integer = 5
    Public Const EXTIN_EVENT_NEGA As Integer = 6
    Public Const EXTIN_TRIGGER_POSI As Integer = 7
    Public Const EXTIN_TRIGGER_NEGA As Integer = 8
	Public Const EXTIN_READY_POSI As Integer = 9
	Public Const EXTIN_READY_NEGA As Integer = 10

    Public Const EXTOUT_VSYNC_POSI As Integer = 0
    Public Const EXTOUT_VSYNC_NEGA As Integer = 1
    Public Const EXTOUT_RECORD_POSI As Integer = 2
    Public Const EXTOUT_RECORD_NEGA As Integer = 3
    Public Const EXTOUT_TRIGGER_POSI As Integer = 4
    Public Const EXTOUT_TRIGGER_NEGA As Integer = 5
    Public Const EXTOUT_EXPOSE_POSI As Integer = 6
    Public Const EXTOUT_EXPOSE_NEGA As Integer = 7
	Public Const EXTOUT_READY_POSI As Integer = 8
	Public Const EXTOUT_READY_NEGA As Integer = 9
	Public Const EXTOUT_IRIG_RESET_POSI As Integer = 10
	Public Const EXTOUT_IRIG_RESET_NEGA As Integer = 11

    Public Const IMAGE_CONV_DEFAULT As Integer = &H0S
    Public Const IMAGE_CONV_ROTATE90 As Integer = &H1S
    Public Const IMAGE_CONV_ROTATE180 As Integer = &H2S
    Public Const IMAGE_CONV_ROTATE270 As Integer = &H4S
    Public Const IMAGE_CONV_MIRROR_H As Integer = &H8S
    Public Const IMAGE_CONV_MIRROR_V As Integer = &H10S

    Public Const VIDEO_DATA_MODE_SR500 As Integer = 0
    Public Const VIDEO_DATA_MODE_HS4540 As Integer = 1
    Public Const VIDEO_DATA_MODE_HS4540MX As Integer = 2

    Public Const DEVICE_SELECT_AUTO As Integer = 0
    Public Const DEVICE_SELECT_1394 As Integer = 1
    Public Const DEVICE_SELECT_PCI As Integer = 2
    Public Const DEVICE_SELECT_PLMV As Integer = 4
    Public Const DEVICE_SELECT_PCI2 As Integer = &H8S
    Public Const DEVICE_SELECT_ETHER As Integer = &H10S
    Public Const DEVICE_SELECT_OPT As Integer = &H20S
    Public Const DEVICE_SELECT_512PCI As Integer = &H40S
    Public Const DEVICE_SELECT_1024PCI As Integer = &H80S
    Public Const DEVICE_SELECT_SUSPCI As Integer = &H41S
    Public Const DEVICE_SELECT_G_ETHER As Integer = &HA0

    Public Const MONITOROUT_VGA As Integer = 0
    Public Const MONITOROUT_NTSC As Integer = 1
    Public Const MONITOROUT_PAL As Integer = 2

    Public Const TIMECODE_CAMERA As Integer = 0
    Public Const TIMECODE_IRIG As Integer = 1
    Public Const TIMECODE_LOCAL As Integer = 2
    Public Const TIMECODE_GMT As Integer = 3

    Public Const LIVE_RESO_FULL As Integer = &H0S        
    Public Const LIVE_RESO_HALF As Integer = &H2S        
    Public Const LIVE_RESO_QARTER As Integer = &H4S      
    Public Const LIVE_RESO_DQARTER As Integer = &H8S     

    Public Const CHROMA_NORMAL As Integer = 0
    Public Const CHROMA_UP01 As Integer = 10
    Public Const CHROMA_UP02 As Integer = 9
    Public Const CHROMA_UP03 As Integer = 8
    Public Const CHROMA_UP04 As Integer = 7
    Public Const CHROMA_UP05 As Integer = 6
    Public Const CHROMA_UP06 As Integer = 5
    Public Const CHROMA_UP07 As Integer = 4
    Public Const CHROMA_UP08 As Integer = 3

    Public Const DS_SHUTTER_OFF As Integer = 0
    Public Const DS_SHUTTER_MODE1 As Integer = 1
    Public Const DS_SHUTTER_MODE2 As Integer = 2
    Public Const DS_SHUTTER_MODE3 As Integer = 3

    Public Const LUT_DEFAULT1 As Integer = 0
    Public Const LUT_DEFAULT2 As Integer = 1
    Public Const LUT_DEFAULT3 As Integer = 2
    Public Const LUT_DEFAULT4 As Integer = 3
    Public Const LUT_DEFAULT5 As Integer = 4
    Public Const LUT_DEFAULT6 As Integer = 5
    Public Const LUT_DEFAULT7 As Integer = 6
    Public Const LUT_DEFAULT8 As Integer = 7
    Public Const LUT_DEFAULT9 As Integer = 8
    Public Const LUT_USER1 As Integer = 9
    Public Const LUT_USER2 As Integer = 10
    Public Const LUT_USER3 As Integer = 11

    Public Const SHADING_OFF As Integer = 0
    Public Const SHADING_ON1 As Integer = 1
    Public Const SHADING_ON2 As Integer = 2
    Public Const SHADING_ON3 As Integer = 3
    Public Const SHADING_SAVE As Integer = 4
    Public Const SHADING_LOAD As Integer = 5
    Public Const SHADING_UPDATE As Integer = 6

    Public Const INTERFACE_PCI As Integer = 0
    Public Const INTERFACE_IEEE1394 As Integer = 1
    Public Const INTERFACE_ETHER As Integer = 2
    Public Const INTERFACE_OPTICAL As Integer = 3
    Public Const INTERFACE_G_ETHER As Integer = 4

    Public Const IMAGE_SIZE_MAX_X As Integer = 4096
    Public Const IMAGE_SIZE_MAX_Y As Integer = 4096
    Public Const IMAGE_SIZE_DEF_X As Integer = 512
    Public Const IMAGE_SIZE_DEF_Y As Integer = 480

	Public Const II_POWER_OFF As Integer= &H1
	Public Const II_POWER_ON As Integer= &H2
	Public Const II_POWER_ON_LOAD As Integer= &H3

	Public Const II_GATE_SELECT_OFF As Integer = &H1
	Public Const II_GATE_SELECT_CONTINUOUS As Integer = &H2
	Public Const II_GATE_SELECT_EXTERNAL As Integer = &H3
	Public Const II_GATE_SELECT_GATING As Integer = &H4
	Public Const II_GATE_SELECT_DELAY As Integer = &H5

	Public Const CAMMODE_DEFAULT As Integer = &H0
	Public Const CAMMODE_VARIABLE As Integer = &H1
	Public Const CAMMODE_EXTERNAL As Integer = &H2

	Public Const VARIABLE_OFFSET_XPOS As Integer = 64
	Public Const VARIABLE_OFFSET_YPOS As Integer = 8
	Public Const VARIABLE_OFFSET_WIDTH As Integer = 128
	Public Const VARIABLE_OFFSET_HEIGHT As Integer = 16

	Public Const EDGE_ENHANCEMENT_OFF As Integer = 0
	Public Const EDGE_ENHANCEMENT_MODE1 As Integer = 1
	Public Const EDGE_ENHANCEMENT_MODE2 As Integer = 2
	Public Const EDGE_ENHANCEMENT_MODE3 As Integer = 3

	Public Const GETHER_DEFAULT_TIMEOUT As Integer = 5000
	Public Const GETHER_DEFAULT_PACKETSIZE As Integer = 1458
	Public Const GETHER_DEFAULT_PACKETSIZE_LOWSPEED As Integer = 722
	Public Const GETHER_CONNECT_NORMAL As Integer = 1
	Public Const GETHER_CONNECT_LOWSPEED As Integer = 0

    Public Const MAX_CAMERA_DEVAICE As Integer = 64
    Public Const LIST_MAX_NUMBER As Integer = 128
    Public Const LIST_MAX_NUMBER_EX As Integer = 256
    Public Const PARTITION_MAX_NUMBER As Integer = 256

    Public Const FUNCTION_TIMEOUT As Integer = 5000
    Public Const SIZE_OF_MCDL_DATA As Integer = 80
    Public Const SIZE_OF_IRIG_DATA As Integer = 12

    Public Const MAX_LEVEL As Integer = 65536
    Public Const LUT_PLANE_R As Integer = 0
    Public Const LUT_PLANE_G As Integer = 1
    Public Const LUT_PLANE_B As Integer = 2
    Public Const LUT_PLANE_A As Integer = 3
    Public Const LUT_PLANE_ALL As Integer = 4

End Module
